Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class MasterPageHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.MasterPageHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IMasterPageModel

Direct Known Subclasses:
  GraphicMasterPageHandle, SimpleMasterPageHandle

    public abstract class MasterPageHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.IMasterPageModel

Represents a master page. The master page is an abstract element that defines the basic properties of a printed page. The derived elements, Simple and Graphic Master Pages, provide content that appears on the page itself.

See Also:
  `MasterPage`, `DimensionHandle`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IMasterPageModel
`A4_HEIGHT, A4_WIDTH, BOTTOM_MARGIN_PROP, COLUMN_SPACING_PROP, COLUMNS_PROP, HEIGHT_PROP, LEFT_MARGIN_PROP, ON_PAGE_END_METHOD, ON_PAGE_START_METHOD, ORIENTATION_PROP, RIGHT_MARGIN_PROP, STYLE_PROP, TOP_MARGIN_PROP, TYPE_PROP, US_LEGAL_HEIGHT, US_LEGAL_WIDTH, US_LETTER_HEIGHT, US_LETTER_WIDTH, WIDTH_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`MasterPageHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a master-page handle with the given design and the element.

Method Summary
`DimensionHandle` | `getBottomMargin()` Gets a dimension handle to work with the margin on the bottom side.
`int` | `getColumnCount()` Returns the number of columns in the report.
`DimensionHandle` | `getColumnSpacing()` Returns a handle to work with the the space between columns.
`DimensionValue` | `getEffectiveHeight()` Deprecated.
`DimensionValue` | `getEffectiveWidth()` Deprecated.
`DimensionHandle` | `getHeight()` Gets a dimension handle to work with the height of the page.
`DimensionHandle` | `getLeftMargin()` Gets a dimension handle to work with the margin on the left side.
`java.lang.String` | `getOnPageEnd()` Gets the script of onPageEnd method.
`java.lang.String` | `getOnPageStart()` Gets the script of onPageStart method.
`java.lang.String` | `getOrientation()` Returns the page orientation.
`DimensionValue` | `getPageHeight()` Gets the effective page height.
`java.lang.String` | `getPageType()` Returns the type of the page.
`DimensionValue` | `getPageWidth()` Gets the effective page width.
`DimensionHandle` | `getRightMargin()` Gets a dimension handle to work with the margin on the right side.
`Point` | `getSize()` Returns the size of the page.
`DimensionHandle` | `getTopMargin()` Gets a dimension handle to work with the margin on the top side.
`DimensionHandle` | `getWidth()` Gets a dimension handle to work with the width of the page.
`void` | `setColumnCount(int count)` Sets the number of columns in the report.
`void` | `setOnPageEnd(java.lang.String onPageEnd)` Sets the script of onPageEnd method.
`void` | `setOnPageStart(java.lang.String onPageStart)` Sets the script of onPageStart method.
`void` | `setOrientation(java.lang.String orientation)` Returns the page orientation.
`void` | `setPageType(java.lang.String type)` Sets the type of the page.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MasterPageHandle

    public MasterPageHandle(org.eclipse.birt.report.model.core.Module module,
                            org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a master-page handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getSize

    public Point getSize()

  Returns the size of the page. The size is either one of the standard sizes, or a custom size. Note that the size returned will not match the `getWidth` and `getHeight` values unless the page uses a custom size.

  Returns:
    the actual page size in application units

### getEffectiveWidth

    public DimensionValue getEffectiveWidth()

  Deprecated.

  Returns the the effective width of the page.

  Returns:
    the effective width of the page. Return value is a DimensionValue, the measure of it is the width measure of the page, unit is that set on the session.

### getEffectiveHeight

    public DimensionValue getEffectiveHeight()

  Deprecated.

  Returns the the effective height of the page.

  Returns:
    the effective height of the page. Return value is a DimensionValue, the measure of it is the height measure of the page, unit is that set on the session.

### getPageType

    public java.lang.String getPageType()

  Returns the type of the page. The return type of the page is defined in `DesignChoiceConstants` and can be one of:
  - `PAGE_SIZE_CUSTOM`
  - `PAGE_SIZE_US_LETTER`
  - `PAGE_SIZE_US_LEGAL`
  - `PAGE_SIZE_A4`

  Returns:
    the type of the page

### setPageType

    public void setPageType(java.lang.String type)
                     throws SemanticException

  Sets the type of the page. The input type of the page is defined in `DesignChoiceConstants` and can be one of:
  - `PAGE_SIZE_CUSTOM`
  - `PAGE_SIZE_US_LETTER`
  - `PAGE_SIZE_US_LEGAL`
  - `PAGE_SIZE_A4`

  Parameters:
    `type` - the type of the page
  Throws:
    `SemanticException` - if the property is locked or the input value is not one of the above.

### getOrientation

    public java.lang.String getOrientation()

  Returns the page orientation. The return type of the page is defined in `DesignChoiceConstants` can be one of:
  - `PAGE_ORIENTATION_AUTO`
  - `PAGE_ORIENTATION_PORTRAIT`
  - `PAGE_ORIENTATION_LANDSCAPE`

  Returns:
    the page orientation

### setOrientation

    public void setOrientation(java.lang.String orientation)
                        throws SemanticException

  Returns the page orientation. The input type of the page is defined in `DesignChoiceConstants` can be one of:
  - `PAGE_ORIENTATION_AUTO`
  - `PAGE_ORIENTATION_PORTRAIT`
  - `PAGE_ORIENTATION_LANDSCAPE`

  Parameters:
    `orientation` - the page orientation
  Throws:
    `SemanticException` - if the property is locked or the input value is not one of the above.

### getHeight

    public DimensionHandle getHeight()

  Gets a dimension handle to work with the height of the page.

  Returns:
    a DimensionHandle to work with the height

### getWidth

    public DimensionHandle getWidth()

  Gets a dimension handle to work with the width of the page.

  Returns:
    DimensionHandle to work with the width

### getBottomMargin

    public DimensionHandle getBottomMargin()

  Gets a dimension handle to work with the margin on the bottom side.

  Returns:
    a DimensionHandle for the bottom margin.

### getLeftMargin

    public DimensionHandle getLeftMargin()

  Gets a dimension handle to work with the margin on the left side.

  Returns:
    a DimensionHandle for the left margin.

### getRightMargin

    public DimensionHandle getRightMargin()

  Gets a dimension handle to work with the margin on the right side.

  Returns:
    a DimensionHandle for the right margin.

### getTopMargin

    public DimensionHandle getTopMargin()

  Gets a dimension handle to work with the margin on the top side.

  Returns:
    a DimensionHandle for the top margin.

### getPageHeight

    public DimensionValue getPageHeight()

  Gets the effective page height.

  Returns:
    the page height

### getPageWidth

    public DimensionValue getPageWidth()

  Gets the effective page width.

  Returns:
    the page width

### getOnPageStart

    public java.lang.String getOnPageStart()

  Gets the script of onPageStart method.

  Returns:
    the script of onPageStart method.

### setOnPageStart

    public void setOnPageStart(java.lang.String onPageStart)
                        throws SemanticException

  Sets the script of onPageStart method.

  Parameters:
    `onPageStart` - the script of onPageStart method.
  Throws:
    `SemanticException` - if the property is locked by masks.

### getOnPageEnd

    public java.lang.String getOnPageEnd()

  Gets the script of onPageEnd method.

  Returns:
    the script of onPageEnd method.

### setOnPageEnd

    public void setOnPageEnd(java.lang.String onPageEnd)
                      throws SemanticException

  Sets the script of onPageEnd method.

  Parameters:
    `onPageEnd` - the script of onPageEnd method.
  Throws:
    `SemanticException` - if the property is locked by masks.

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the report.

  Returns:
    the number of columns in the report

### setColumnCount

    public void setColumnCount(int count)
                        throws SemanticException

  Sets the number of columns in the report.

  Parameters:
    `count` - the number of columns in the report
  Throws:
    `SemanticException` - if the property is locked.

### getColumnSpacing

    public DimensionHandle getColumnSpacing()

  Returns a handle to work with the the space between columns.

  Returns:
    a DimensionHandle to deal with the space between columns.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.